[Prev: FORCE] | [Resources][TOC] | [Next: GENIDX]

# FROMFIELDS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_FROMFIELDS=`field1`:`field2`:`...`:`fieldN

Element

  `<FROMFIELDS>`
  field1`:`field2`:`...`:`fieldN
  `</FROMFIELDS>`

Command-line Option

  `-fromfields` field1`:`field2`:`...`:`fieldN

## Description

FROMFIELDS specify the message header fields MHonArc will search to determine who the author of a message is (which determines the value of the $FROM*$ resource variables). Each field will be checked in the ordered specified.

The value of the FROMFIELDS is a colon separated list of message header fields to check.

## Default Setting

    from:mail-reply-to:reply-to:return-path:apparently-from:sender:resent-sender

This resource is intended to reflect who the author is and not necessarily where replies of the message should be directed. This is why the `From:` field has higher precendence than the reply-to fields. However, if it is desired that it reflect where replies should be directed, then put `mail-reply-to` and `reply-to` first.

## Resource Variables

N/A

## Examples

None.

## Version

2.1.2

## See Also

DATEFIELDS

[Prev: FORCE] | [Resources][TOC] | [Next: GENIDX]